Bug 850572 - NullPointerException in DriftServerServiceImpl.getDriftDefinitions
NullPointerException in DriftServerServiceImpl.getDriftDefinitions
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
4.4
All All
medium Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jay Shaughnessy
Mike Foley
:
: 850527 (view as bug list)
Depends On:
Blocks: 852092
  Show dependency treegraph
 
Reported: 2012-08-21 16:48 EDT by Jay Shaughnessy
Modified: 2013-09-01 06:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852092 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:18:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-08-21 16:48:33 EDT
From Heiko:

(2:35:01 PM) pilhuhn: 14:30:21,072 WARN  [DiscoveryBossBean] Could not perform commit synchronization with agent for server [snert.local]
(2:35:01 PM) pilhuhn: java.lang.RuntimeException: java.lang.NullPointerException
(2:35:09 PM) pilhuhn: Caused by: java.lang.NullPointerException
(2:35:10 PM) pilhuhn: 	at org.rhq.enterprise.server.drift.DriftServerServiceImpl.getDriftDefinitions(DriftServerServiceImpl.java:93)
(3:13:18 PM) pilhuhn: saw that flying by when importing servers that were on the Q for some time. It may be that the resource types have changed since - I may have them discovered yesterday or earlier and did a source build this morning. I can't reproduce it on purpose, jshaughn
(3:14:23 PM) jshaughn: had you been doing anything with drift definitions?
(3:16:18 PM) pilhuhn: no, not at all
Comment 1 Jay Shaughnessy 2012-08-21 16:50:20 EDT
master commit 5ffd6e1eb155bf0208690cce526fb18b832ba344

Make drift def sync more efficient, and possibly avoid an NPE that was
seen intermittently.
- DriftServerServiceImpl.getDriftDefinitions() now only generates
  Map entries for resources with drift definitions, avoiding unnecessary
  list creation and subsequent processing.
- Added jdoc to that effect
- Changed private DriftSyncManager.syncConfigs() to syncDriftDefinitions
  for clarity.



Test Notes:
Inventory Sync testing would be appropriate for this.
Comment 2 Heiko W. Rupp 2012-08-27 11:24:11 EDT
*** Bug 850527 has been marked as a duplicate of this bug. ***
Comment 3 Heiko W. Rupp 2013-09-01 06:18:01 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.